@charset "UTF-8";
@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,400,600');


::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #044a8c;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #3e00a3;
}

/*  
* {
     border: 1px solid black;
}
  */
:root {
  /* ===== Colors ===== */
  --ff-primary: 'Poppins', sans-serif;
  --ff-secondary: 'Myriad Pro Bold';
  --clr-maintext: #361c98;
  --clr-primary: #7574d2;
  --clr-secondary: #1b5c9d;
  --clr--primary-200: #19446f;
  --clr--primary-400: #001a33;
  --clr--secondary: #bc8f37;
  --clr-darkgrey: #121212;
  --clr-darkgrey-600: #171717;
  --clr-darkgrey-800: rgb(0, 0, 0);
  --clr-neutral-400: #e4e9f7;
  --clr-pure-white: #fff;
  --clr-success-400: #32cd32;
  --clr-success-600: #2db92d;
  --clr-danger-400: #ee4b2b;
  --clr-danger-600: #a7351e;
  /* ===== End of Colors ===== */
}

a {
  text-decoration: none;
  color: #000;
}

::selection {
  background: var(--clr-primary);
  color: #fff;
}

::-moz-selection {
  /* Code for Firefox */
  background: var(--clr-primary);
  color: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  margin: 0;
  font-family: 'Work Sans', sans-serif;

  overflow-x: hidden;


}

input {
  font-family: 'Work Sans', sans-serif !important;
}

#btn {
  display: none;
}



.btn-transition {
  transition: 5s ease !important;
}

/* =============== Nav ================== */
.header-class-home {
  /* background: #00000089; */
  background-color: transparent;
  text-align: center;
  position: fixed;
  z-index: 999;
  width: 100%;
  transition: background .1s ease-in !important;

}

.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;

}

.nav-toggle:focus~.nav-toggle-label {
  outline: 3px solid rgba(173, 216, 230, 0.75);
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  display: block;
  background: rgb(0, 0, 0);
  height: 2px;
  width: 2em;
  border-radius: 2px;
  position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

nav {
  position: absolute;
  text-align: center;
  top: 100%;
  left: 0;
  padding-top: 1rem;
  background: rgb(221, 221, 221);
  width: 100%;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

.logo img {
  width: 100%;
  max-width: 150px;
  height: 100%;
  max-height: 100px;
  cursor: pointer;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-bottom: 1em;
  margin-left: 1em;
}


nav a {
  color: rgb(0, 0, 0);
  text-decoration: none;
  font-size: 1rem;
  font-weight: 800;
  text-transform: uppercase;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav {
  transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

/* =============== End of Nav ================== */
/*  Responsive Styles  */

@media screen and (max-width: 800px) {}

@media screen and (min-width: 800px) {
  .nav-toggle-label {
    display: none;
  }

  .header-class-home {
    display: grid;
    grid-template-columns: 1fr auto minmax(600px, 3fr) 1fr;
  }

  .logo {
    grid-column: 2/3;
  }

  nav {
    /* all: unset; <=  problème dans Edge qui ne supporte pas */
    /* les lignes qui suivent sont supportées par Edge */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* fin du Edge support */
    grid-column: 3/4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
  }

  nav li {
    margin-left: 1em;
    margin-bottom: 0;
  }

  nav a {
    opacity: 1;
    position: relative;
  }

  nav a::before {
    content: '';
    display: block;
    height: 5px;
    background: var(--clr-secondary);
    position: absolute;
    bottom: -0.75em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }
}




/* =========================== HOME SECTION =========================== */
.bg-container {
  height: 51vw;
  background: url('images/home.jpg') no-repeat;
  background-size: auto;
  background-size: 100%;

}

.mobile-bg {
  height: 100dvh;
  background: url('images/mobile-01-01-01-01.png') no-repeat;
  background-size: auto;
  background-size: 100%;
}

.intro-home {
  position: absolute;
  width: 30em;
  text-transform: uppercase;
  top: 15%;
  left: 5%;
  font-weight: 200;
  color: #0e4378;
  font-size: 2vw;
  padding-right: 2.5em;

}

.intro-home h2 {
  text-shadow: rgb(151, 203, 255) 0 0 10px;
}

.btn-container {
  display: flex;
  justify-content: center;
}

.button-learn {
  position: relative;
  transition: all 0.3s ease-in-out;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
  padding-block: 0.5rem;
  padding-inline: 1.25rem;
  background-color: rgb(0 107 179);
  border-radius: 9999px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #ffff;
  gap: 10px;
  font-weight: bold;
  border: 3px solid #ffffff4d;
  outline: none;
  overflow: hidden;
  font-size: 15px;
}

.icon {
  width: 32px;
  height: 32px;
  transition: all 0.3s ease-in-out;
}

.button-learn:hover {
  transform: scale(1.05);
  border-color: #fff9;
}

.button-learn:hover .icon {
  transform: translate(4px);
}

.button-learn:hover::before {
  animation: shine 1.5s ease-out infinite;
}

.button-learn::before {
  content: "";
  position: absolute;
  width: 100px;
  height: 100%;
  background-image: linear-gradient(120deg,
      rgba(255, 255, 255, 0) 30%,
      rgba(255, 255, 255, 0.8),
      rgba(255, 255, 255, 0) 70%);
  top: 0;
  left: -100px;
  opacity: 0.6;
}

@keyframes shine {
  0% {
    left: -100px;
  }

  60% {
    left: 100%;
  }

  to {
    left: 100%;
  }
}

/* =========================== ABOUT SECTION =========================== */



.aboutus-container {
  display: flex;
  justify-content: center;

  gap: 2em;

}

.img-about1 {

  width: 15vw;
}

.img-about2 {


  width: 15vw;
}

.img-about3 {

  width: 15vw;
}

.img-container {
  display: block;
}

.aboutus-img {
  display: flex;
  justify-content: center;
  margin-left: 1em;
  width: 30em;

}

.aboutus-text {
  padding: 1em;
  width: 55em;
}


.aboutus-text p {
  font-size: 1.3em;
  margin: 0;
  padding: .5em;
  text-align: justify;
}


.aboutus-text h2 {

  font-weight: 800;
  padding: 1em;
  font-size: 3rem;
  margin: 0;
  color: #361c98;
}

/* vission mission section */

.vm-section {
  height: 20em;
  margin-top: 4em;

}

.vission-mission-container {
  display: flex;
  justify-content: center;


}



.box-flex {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 80em;
  gap: 2em;
  margin-top: 2em;
}

.vission-box {
  max-width: 35em;
  min-width: 35em;
  height: 17em;
  border-radius: 30px;
  /* background: linear-gradient(90deg, rgba(172, 2, 196, 1) 0%, rgba(126, 37, 172, 1) 52%, rgba(172, 2, 196, 1) 100%); */
  background: url('images/vision2.png') no-repeat;
  background-size: cover;
  text-align: center;
  color: rgb(255, 255, 255);
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.vission-box p {

  padding: 0 2em;
  color: rgb(255, 255, 255);
}

.mission-box {
  max-width: 35em;
  min-width: 35em;
  height: 17em;
  border-radius: 30px;
  /* background: linear-gradient(90deg, rgba(0, 141, 252, 1) 0%, rgba(76, 152, 255, 1) 52%, rgba(0, 141, 252, 1) 100%); */
  background: url('images/mission.png') no-repeat;
  background-size: cover;
  text-align: center;
  color: rgb(255, 255, 255);
  text-shadow: rgb(90, 90, 90) 0 0 5px;

}

.mission-box p {
  text-shadow: rgb(90, 90, 90) 0 0 5px;
  padding: 0 2em;
  color: rgb(255, 255, 255);
}

/* =========================== PRDODUCT SECTION =========================== */


.product-overview-section {

  display: flex;
  justify-content: center;
  margin-top: -5em;

}

.product-container {
  width: 90rem;
  padding: 4em;

}

.title-product {
  color: #361c98;
}

.product-container p {
  font-size: 1.2em;
  text-align: justify;
}

.product-img-container {
  text-align: center;
}

.product-img {
  width: 100%;
}

.product-container-flex {
  display: flex;
  flex-wrap: wrap;
  text-align: justify;
}

.product-icon {
  margin-bottom: -5px;
  width: 40px;
}


.payment-box {
  padding: 1em;
  width: 50%;

}

.platform-box {
  padding: 1em;
  width: 50%;

}

.title-product {
  font-size: 3em;
}

.title-Services {
  font-size: 2em;
}

/* =========================== SERVICES SECTION =========================== */


.our-services-section {}

.title-container {
  text-align: center;
  font-size: 2em;
  color: #361c98;
}

.our-services-container {
  display: flex;
  justify-content: center;

}

.our-services-flex {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1em;
}

.our-services-box1 {
  text-align: center;
  width: 30em;
  gap: 1em;
  padding: 1em;
  border: 1px 20px red;
}


.our-services-box1 p {

  text-align: justify;

}

.our-services-box2 {
  display: flex;
  width: 70em;
  gap: 1em;
  padding: 1em;

}


.our-services-box1 {

  padding: 1em;

}

.our-services-box1 p {

  font-size: 1em;
  padding: 1em;
}

.our-services-box1 p {


  padding-left: 1em;
}


.our-services-img1 {
  width: 250x;
  border-radius: 10px;
}

/* NEW OUR SERVICES */

.services-overview-section {

  display: flex;
  justify-content: center;


}

.services-container {
  width: 90rem;
  padding: 4em;

}

.Services-title {
  color: #361c98;
  font-size: 3em;
}

.services-container p {
  font-size: 1.2em;
  text-align: justify;
}

.services-img-container {
  text-align: center;
}

.services-img {
  width: 100%;
}

.services-container-flex {
  display: flex;
  flex-wrap: wrap;
  text-align: justify;
}

.product-icon {
  margin-bottom: -5px;
  width: 40px;
}


.itconsultancy-box {
  padding: 1em;
  width: 50%;

}

.operation-box {
  padding: 1em;
  width: 50%;

}

.title-product {
  font-size: 3em;
}





/* =========================== CHOOSE US SECTION =========================== */


.chooseus-section {
  display: flex;
  justify-content: center;
}

.chooseus-container {
  width: 90em;

}

.chooseus-container h1 {
  font-size: 3em;
  color: #361c98;

}

.card-img {
  width: 200px;
}

.card {
  display: flex;
  gap: 1em;
  width: 40em;
  height: 17em;
  color: rgb(0, 0, 0);
  background: #f2f2f2;

  padding: 2em;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.card-flex {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 2em !important;
}


/* =========================== CONTACT US SECTION =========================== */


.contactus-section {
  display: flex;
  justify-content: center;
  margin-bottom: 2em;
}

.contactus-container {
  padding: 0em 4em;
  width: 80%;
}

.contactus-container h1 {
  font-size: 3em;
  color: #361c98;
}

.contactus-email-add {
  margin-top: 4em;
  text-align: center;
}

.contactus-email-add p {
  margin-bottom: 5px;
}


.contact-form {
  width: 100%;
  height: 30em;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(168, 168, 168, 0.46);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(0.6px);
  -webkit-backdrop-filter: blur(0.6px);
  border: 1px solid rgba(168, 168, 168, 0.22);
}


.contactus-form-section {
  display: flex;
  flex-wrap: wrap;
  height: 35em;
  justify-content: center;

  text-align: center;
  background: url('images/cbg.png') no-repeat;
  background-size: cover;
}

.form-container {
  width: 70em;

}

.form-h1 {
  font-size: 2em;
  color: #361c98;

}



.input-container {
  display: flex;
  margin-top: 2em;
  padding: 0 2em;
}


.input-form-contact {
  height: 2em;
  font-size: 2em !important;
  height: 2em !important;
  border-radius: 20px;
  color: #000000 !important;

}

.button {
  margin-left: 2em;
  position: relative;
  padding: 10px 22px;
  border-radius: 20px;
  width: 10em;
  border: none;
  color: #fff;
  cursor: pointer;
  background-color: #7d2ae8;
  transition: all 0.2s ease;
}

.button:active {
  transform: scale(0.96);
}

.contactus-container p{
  text-align: center;
}


/* =========================== FOOTER SECTION =========================== */

.hover-underline-animation-footer {
  display: inline-block;
  position: relative;
  color: #000000;
}

.hover-underline-animation-footer::after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: #000000;
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.hover-underline-animation-footer:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

footer {
  background:#ffffff;
}

.footer-logo{
  width: 12em;
}

.footer-container {
  display: flex;

}

.footer-div1 {
  width: 40%;

  padding: 4em;
}

.footer-div2 {
  width: 20%;

  padding: 2em;
}

.footer-div3 {
  width: 30%;
  background-color: #ffffff;
  padding: 2em;
}


.contact {
  position: fixed;
  bottom: 5%;
  right: 3%;
  z-index: 1000;
}

.footer-copyright {
  text-align: center;
  height: 2em;
}

.line1 {
  color: #2861b7;
  background: #2861b7;
  width: 20%;
  height: 1em;
}

.line2 {
  background: #beb101;
}

.footer-a {
  text-decoration: none;
  color: #000000;
}


/* product card */

.products-card-section{
  width: 100%;
 text-align: center;
}

.products-card-container{
    display: flex;
    justify-content: center;


    text-align: center;
}


.card-container{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 2em;
  width: 80em;

}

.title-cards{
  font-size: 4em;
  color: #020a27;
}

.product-card{
  display: flex;
align-items: center;
  text-align: left;
  gap: 1.5em !important;
  padding: 1em;
  width: 25em;
  height: 12em;
  border: 1px solid #e1e1e1;
  transition: .1s;
}

.product-card:hover{
  border: 1px solid #ffffff;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  cursor: pointer;
}

.product-card h1{
  font-size: 1.2em;
  margin: 0;
}

.product-card p{
  font-size: 1.1em;
}

.p-card-img{
  width: 75px;
}


.button-card {
  line-height: 1;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  font-size: 1em;
  gap: .75rem;
  background-color: #0060ce;
  color: #fafafa;
  font-weight: 600;
  padding: .75rem 1.5rem;
  padding-left: 20px;
  white-space: nowrap;
  border-style: none;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: background-color .3s;
}

.button__icon-wrapper {
  flex-shrink: 0;
  width: 25px;
  height: 25px;
  position: relative;
  color: #000000;
  background-color: #fff;
  border-radius: 50%;
  display: grid;
  place-items: center;
  overflow: hidden;
}

.button-card:hover {
  background-color: #0060ce;

}

.button:hover .button__icon-wrapper {
  color: #000;
}

.button__icon-svg--copy {
  position: absolute;
  transform: translate(-150%, 150%);
}

.button-card:hover .button__icon-svg:first-child {
  transition: transform .3s ease-in-out;
  transform: translate(150%, -150%);
}

.button-card:hover .button__icon-svg--copy {
  transition: transform .3s ease-in-out .1s;
  transform: translate(0);
}


.home-banner{
    display: flex;
    align-items: center;
    background: #020a27;
    height: auto;
    width: 100%;
    margin-top: 4em;
}

.banner-container{

  width: 100%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap-reverse;
  gap: 2em;
  margin: 10em 0em;
  padding: 0em 1em;
}

.banner-text{
  width: 40rem;
 color: white;
}

.banner-text h1{
  font-size: 2.5em;
}

.banner-text p{
  font-size: 1.1em;
}


.banner-img{
  width: 40rem;
display: flex;
justify-content: center;
}

.banner-icon{
  display: flex;
}

.icon-1{
  width: 50%;
  display: flex;
  align-items: center;
  gap: 1em;
}

.banner-btn{
  margin-top: 2em;
}

.thumb1{
 width: 35em;
 height: 30em;
}


.jumbutron{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 20em;
  width: 100%;
  background-color: #044a8c;
  color: white;
  text-align: center;
}

.jumbutron h1{
  font-size: 3em;
  margin: 0;
}


.button-jum {
  line-height: 1;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  font-size: 1em;
  gap: .75rem;
  background-color: #ffffff;
  color: #000000;
  font-weight: 600;
  padding: .75rem 1.5rem;
  padding-left: 20px;
  white-space: nowrap;
  border-style: none;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: background-color .3s;
}



.button-jum:hover {
  background-color: #ffffff;
}

.button-jum:hover .button__icon-wrapper {
  color: #000;
}



.button-jum:hover .button__icon-svg:first-child {
  transition: transform .3s ease-in-out;
  transform: translate(150%, -150%);
}

.button-jum:hover .button__icon-svg--copy {
  transition: transform .3s ease-in-out .1s;
  transform: translate(0);
}


.contact-section{

  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffffff;

  height: auto;
  width: 100%;
  margin: 5em 0em;


}

.contact-container{
  width: 80em;

}

.contact-box{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 2em;
}

.contact-text{
  width: 40em;
  padding: 1em;
}

.contact-text h1{
  font-size: 3.2em;
}

.contact-flex{
  display: flex;

}

.contact-address{
  width: 50%;
  border-top: 1px solid rgb(229, 229, 229);
  
  border-right: 1px solid rgb(229, 229, 229);
  padding: 2em;


}



.contact-address p{
  margin: 0;
}

.contact-email{
  border-top: 1px solid rgb(229, 229, 229);

 padding: 2em;
  width: 50%;
}

.contact-email p{

}

.contact-map{
  display: flex;
  align-items: center;
}

.maps{
  width: 500px;
  height: 500px;
}